package com.zkqy.execution.produce.dispersed.service.impl.runbpm.hangye1.testNode;

import com.zkqy.common.core.domain.AjaxResult;
import com.zkqy.execution.produce.dispersed.entity.runbpm.BpmRunNodeFromVo;
import com.zkqy.execution.produce.dispersed.entity.runbpm.IRunBPMEntity;
import com.zkqy.execution.produce.dispersed.service.IRunBPMService;
import com.zkqy.system.entity.CommonEntity;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import javax.annotation.PreDestroy;

/**
 * @author hanzihang
 * <p>
 * 库房人员选择仓库位置区域进行入库操作
 * @date 2023/12/1
 */
@Service("8f9d6659-ab3c-4078-8ff9-d2e3a0cab778")
@Scope("prototype")
public class WarehousingImpl implements IRunBPMService {


    @Override
    public CommonEntity getNodeFormData(BpmRunNodeFromVo bpmRunNodeFromVo) {
        return null;
    }

    @Override
    public AjaxResult preValidation(IRunBPMEntity iRunBPMEntity) {
        return AjaxResult.success();
    }

    @Override
    public AjaxResult executeNode(IRunBPMEntity iRunBPMEntity) {
        return null;
    }

    @Override
    public AjaxResult afterValidation(IRunBPMEntity iRunBPMEntity) {
        return null;
    }

    @Override
    public boolean isVerificationMethod() {
        return true;
    }

    @Override
    @PreDestroy
    public boolean preDestroy() {
        System.err.println("清理成功！");
        return true;
    }
}
